# Generated from rubocop-nosolosoftware-1.10.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-nosolosoftware

Name: rubygem-%{gem_name}
Version: 1.10.0
Release: 1%{?dist}
Summary: Default Rubocop configuration used in NoSoloSoftware developments
License: MIT
URL: https://github.com/nosolosoftware/rubocop-nosolosoftware
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
BuildArch: noarch

%description
Default Rubocop configuration used in NoSoloSoftware developments.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/rubocop-all.yml
%{gem_instdir}/rubocop-bundler.yml
%{gem_instdir}/rubocop-default.yml
%{gem_instdir}/rubocop-faker.yml
%{gem_instdir}/rubocop-gemspec.yml
%{gem_instdir}/rubocop-layout.yml
%{gem_instdir}/rubocop-lint.yml
%{gem_instdir}/rubocop-metrics.yml
%{gem_instdir}/rubocop-mongoid.yml
%{gem_instdir}/rubocop-naming.yml
%{gem_instdir}/rubocop-performance.yml
%{gem_instdir}/rubocop-rails.yml
%{gem_instdir}/rubocop-rake.yml
%{gem_instdir}/rubocop-rspec.yml
%{gem_instdir}/rubocop-security.yml
%{gem_instdir}/rubocop-style.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.10.0-1
- Initial package
